Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.crmf
Class EncryptedValue

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.crmf.EncryptedValue

All Implemented Interfaces:
  DEREncodable

    public class EncryptedValue

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static EncryptedValue` `getInstance(java.lang.Object o)`

`DERObject`

`toASN1Object()`
EncryptedValue ::= SEQUENCE { intendedAlg [0] AlgorithmIdentifier OPTIONAL, -- the intended algorithm for which the value will be used symmAlg [1] AlgorithmIdentifier OPTIONAL, -- the symmetric algorithm used to encrypt the value encSymmKey [2] BIT STRING OPTIONAL, -- the (encrypted) symmetric key used to encrypt the value keyAlg [3] AlgorithmIdentifier OPTIONAL, -- algorithm used to encrypt the symmetric key valueHint [4] OCTET STRING OPTIONAL, -- a brief description or identifier of the encValue content -- (may be meaningful only to the sending entity, and used only -- if EncryptedValue might be re-examined by the sending entity -- in the future) encValue BIT STRING } -- the encrypted value itself

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static EncryptedValue getInstance(java.lang.Object o)

### toASN1Object

    public DERObject toASN1Object()

       EncryptedValue ::= SEQUENCE {
                           intendedAlg   [0] AlgorithmIdentifier  OPTIONAL,
                           -- the intended algorithm for which the value will be used
                           symmAlg       [1] AlgorithmIdentifier  OPTIONAL,
                           -- the symmetric algorithm used to encrypt the value
                           encSymmKey    [2] BIT STRING           OPTIONAL,
                           -- the (encrypted) symmetric key used to encrypt the value
                           keyAlg        [3] AlgorithmIdentifier  OPTIONAL,
                           -- algorithm used to encrypt the symmetric key
                           valueHint     [4] OCTET STRING         OPTIONAL,
                           -- a brief description or identifier of the encValue content
                           -- (may be meaningful only to the sending entity, and used only
                           -- if EncryptedValue might be re-examined by the sending entity
                           -- in the future)
                           encValue       BIT STRING }
                           -- the encrypted value itself

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45